%define name sinek
%define ver 0.7
%define rel 5mdk
Summary: Multimedia player based on the Xine media library
Name: %name
Version: %{ver}
Release: %rel
URL: http://sinek.sourceforge.net
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Video
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libxine0-devel >= 0.9.9
BuildRequires: libguile-devel
BuildRequires: libgtk+2-devel
BuildRequires: docbook-utils
BuildRequires: docbook-dtd41-sgml
Requires: xine-lib-compat-plugins
Prefix: %_prefix

%description
Sinek is a player for multimedia files. Instead of the popular
skin-based interfaces, it uses GTK+ toolkit. Decoding of the video
files is handled by libxine which is available at
http://xine.sourceforge.net.


%prep
%setup -q

%build
%configure
%make

%install
rm -rf %buildroot
%makeinstall_std
mkdir -p %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name):command="%name" needs="X11" section="Multimedia/Video" \
title="Sinek" longtitle="Multimedia player based on xine" \
 mimetypes="video/mpeg,video/msvideo,video/quicktime,video/x-avi,video/x-ms-asf,video/x-ms-wmv,video/x-msvideo,application/x-ogg,audio/x-mp3,audio/x-mpeg,video/x-fli,audio/x-wav"\
 accept_url="true"\
 multiple_files="true"\
 icon="video_section.png"	
EOF
%find_lang %name
#gnome menu
mkdir -p %buildroot/%_datadir/gnome/apps/Multimedia
cp %name.desktop %buildroot/%_datadir/gnome/apps/Multimedia
#man page
mkdir -p %buildroot/%_mandir/man1
cd debian
docbook2man %name.sgml
cp SINEK.1 %buildroot/%_mandir/man1/%name.1

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS ChangeLog
%{_bindir}/%name
%_datadir/gnome/apps/Multimedia/%name.desktop
%_mandir/man1/%name.1*
%_menudir/%name

%changelog
* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7-5mdk
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7-4mdk
- rebuild

* Thu Dec 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7-3mdk
- change requires to xine-lib-compat-plugins
- rebuild with new guile

* Mon Sep 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7-2mdk
- fix menu

* Thu Jul 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- 0.7

* Thu Jul 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- new version

* Mon Jul  1 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- 0.5
- gtk+2

* Mon Jun 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4-2mdk
- install debian man page and gnome menu

* Sat Jun 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- mandrake adaptions

* Mon Feb 11 2002 Chris Williams <>
- Updated for 0.2 release
* Wed Jan 30 2002 Chris Williams <>
- Initial build.


